package com.sifang.modules.supply.stock.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class AddStockVo {
    private String id;

    @NotBlank(message = "代理商不能为空")
    private String traderId;
    private String traderName;
    @NotBlank(message = "仓库不能为空")
    private String warehouseId;

    @Valid
    @NotEmpty(message = "物料不能为空")
    private List<AddStockReq> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public List<AddStockReq> getDetails() {
        return details;
    }

    public void setDetails(List<AddStockReq> details) {
        this.details = details;
    }
}
